#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.5
visibility:           public
id:                   http-client-restricted-0.0.5-AK9lAhdXcsGCcihDh1xi5k
key:                  http-client-restricted-0.0.5-AK9lAhdXcsGCcihDh1xi5k
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  17219b04f10c9f108a48730fb7c9a149
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-http-client-restricted
hs-libraries:         HShttp-client-restricted-0.0.5-AK9lAhdXcsGCcihDh1xi5k
depends:
    base-4.15.1.0 connection-0.3.1-JVjKQzsxxkL2MRvwzbb4MW
    data-default-0.7.1.1-IhQr772Rp9DBpduGZCnNjb
    http-client-0.7.11-DoT8EqSk6Ca1O2bv9Cs89J
    http-client-tls-0.3.6.1-3O0oDS2oezT8WjK3sboemw
    network-3.1.2.7-CS681TPv1I76Ct75uHBcbk
    network-bsd-2.8.1.0-CRqv75Jun6wDxAOS6f28mq
    utf8-string-1.0.2-4LgKQq3VFf5D8V5kQnnIBD

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

